package org.brapi.test.BrAPITestServer.model.dto.geno;

public class ReferenceWriteRequest {
    private String referenceDbId;
    private String referenceName;
    private String referenceSetDbId;
    private Integer length;
    private String md5checksum;
    private Float sourceDivergence;

    public String getReferenceDbId() {
        return referenceDbId;
    }

    public void setReferenceDbId(String referenceDbId) {
        this.referenceDbId = referenceDbId;
    }

    public String getReferenceName() {
        return referenceName;
    }

    public void setReferenceName(String referenceName) {
        this.referenceName = referenceName;
    }

    public String getReferenceSetDbId() {
        return referenceSetDbId;
    }

    public void setReferenceSetDbId(String referenceSetDbId) {
        this.referenceSetDbId = referenceSetDbId;
    }

    public Integer getLength() {
        return length;
    }

    public void setLength(Integer length) {
        this.length = length;
    }

    public String getMd5checksum() {
        return md5checksum;
    }

    public void setMd5checksum(String md5checksum) {
        this.md5checksum = md5checksum;
    }

    public Float getSourceDivergence() {
        return sourceDivergence;
    }

    public void setSourceDivergence(Float sourceDivergence) {
        this.sourceDivergence = sourceDivergence;
    }
}
